Subject: Re: Comments on draft-many-ical-xmldoc-01.txt

From: [email-masked]
Date: Thu, 01 Jul 1999 13:44:55 GMT

> Or, if iCalendar parameters were represented as elements rather than
> attributes, then the elements could be ANY, so that you could put
formatted
> text into a parameter.

ANY is totally ugly. Definitely something to avoid in DTD design. This
construct does not convey precise intent. There are few cases were you
really mean "ANY". Generally, you mean any of the prescribed alternatives.
In addition, this is not the way to put formatted text in content
information. You would use CDATA sections in PCDATA.